<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author 		felipe.cadena
@description  	Página para la carga de trabajo de los avaluadores, se usa para 
                mostrar una lista de avalúos 
@CU				CU-SA-AC-010 - Consultar Carga de Trabajo
@version  		1.0

@param          managedBeanParam - MB asociado a las consultas de los avalúos
@param          tituloParam - Titulo de la pagina
@param          avaluosRealizadosParam - Determina si la vista se usa para avalúos realizados(true)
                                         o avalúos en proceso (false)
@param          controlCalidadParam - Determina si los avaluos que se muestran estan en control
                                      de calidad (true).

-->

<h:form id="avaluosProfesionalForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">


    <p:spacer height="5"/> 
    <p:fieldset>
        <legend>
            <h:outputText value="#{tituloParam}" 
                          styleClass="legendTitle" />
        </legend>
        <br/>
        <h:outputLabel value="Nombre profesional: " styleClass="outputLabelStyle" />

        <h:outputText            
            value="#{managedBeanParam.profesionalSeleccionado.nombreCompleto}" 
            styleClass="outputTextStyle">
        </h:outputText>
        <br/>
        <br/>
        <p:dataTable
            value="#{managedBeanParam.listaAvaluos}"
            var="avaluo" id="secRadicadosTable"
            rowKey="#{avaluo.id}"
            paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
            {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
            rowsPerPageTemplate="5,10,15"
            widgetVar="secRadicadosTableWV"
            emptyMessage="No existen avalúos para estos criterios de busqueda"
            paginator="true"
            rows="5"
            paginatorPosition="bottom">

            <f:facet name="header">  
                Avaluos asociados a la busqueda
            </f:facet>

            <p:column>
                <f:facet name="header">
                    <h:outputText value="Opciones" title="Opciones" />
                </f:facet>

                <p:commandButton id="infoPredialBtn"
                                 icon="ui-icon-home" title="Información predial"
                                 update=":pdsDialog"
                                 onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide(); prediosWV.show();"
                                 action="#{consultaInformacionPredial.cargarInformacionPredial}">
                    <f:setPropertyActionListener
                        target="#{consultaInformacionPredial.avaluoSeleccionado}"
                        value="#{avaluo}" />
                </p:commandButton>


            </p:column>

            <p:column sortBy="#{avaluo.secRadicado}" 
                      filterBy="#{avaluo.secRadicado}"
                      filterMatchMode="contains">
                <f:facet name="header">
                    <h:outputText value="Sec. Radicado" title="Sec. Radicado" />
                </f:facet>
                <h:outputText styleClass="outputTextStyle" value="#{avaluo.secRadicado}"/>
            </p:column>

            <p:column filterBy="#{avaluo.tramite.tipoTramite}"
                      filterMatchMode="exact"
                      filterOptions="#{general.avaluosComercialesTipoTramiteFiltro}">
                <f:facet name="header">
                    <h:outputText value="Tipo trámite" title="Tipo trámite" />
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              id="AvaluosComercialesTipoTramite-1"
                              value="#{avaluo.tramite.tipoTramite}">
                    <f:converter converterId="converterCB"
                                 for="AvaluosComercialesTipoTramite-1" />
                </h:outputText>
            </p:column>


            <p:column filterBy="#{avaluo.avaluoPredios[0].departamento.nombre}"
                      filterMatchMode="contains"
                      sortBy="#{avaluo.avaluoPredios[0].departamento.nombre}">
                <f:facet name="header">
                    Departamento		
                </f:facet>
                <p:commandLink rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                               id="infoDepartamentosLink"
                               styleClass="commandLinkStyle"
                               value="#{avaluo.avaluoPredios[0].departamento.codigo} - 
                               #{avaluo.avaluoPredios[0].departamento.nombre}"
                               action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                               update=":consultarDepartamentosMunicipioForm"
                               onstart="statusDialog2.show();"
                               oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                    <f:setPropertyActionListener value="#{avaluo}"
                                                 target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}"/>
                </p:commandLink>
                <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                              styleClass="outputTextStyle"
                              value="#{avaluo.avaluoPredios[0].departamento.codigo} - 
                              #{avaluo.avaluoPredios[0].departamento.nombre}"/>
            </p:column>
            <p:column filterBy="#{avaluo.avaluoPredios[0].municipio.nombre}"
                      filterMatchMode="contains"
                      sortBy="#{avaluo.avaluoPredios[0].municipio.nombre}">
                <f:facet name="header">
                    Municipio			
                </f:facet>
                <p:commandLink rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                               id="infoMunicipiosLink"
                               styleClass="commandLinkStyle"
                               value="#{avaluo.avaluoPredios[0].municipio.codigo} - 
                               #{avaluo.avaluoPredios[0].municipio.nombre}"
                               action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                               update=":consultarDepartamentosMunicipioForm"
                               onstart="statusDialog2.show();"
                               oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();"                               >
                    <f:setPropertyActionListener value="#{avaluo}"
                                                 target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}"/>
                </p:commandLink>

                <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                              styleClass="outputTextStyle"
                              value="#{avaluo.avaluoPredios[0].municipio.codigo} - 
                              #{avaluo.avaluoPredios[0].municipio.nombre}"/>
            </p:column>
            <p:column rendered="#{avaluosRealizadosParam==false}">
                <f:facet name="header">
                    Actividad actual	
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              id="actividadActual"
                              value="FIXME">

                </h:outputText>
            </p:column>
            <p:column rendered="#{(avaluosRealizadosParam==true) and (controlCalidadParam==false)}">
                <f:facet name="header">
                    Aprobado	
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{avaluo.aprobado}">

                </h:outputText>
            </p:column>
            <p:column rendered="#{avaluosRealizadosParam==true}">
                <f:facet name="header">
                    Calificacón <br /> avalúo	
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{avaluo.calificacion}">

                </h:outputText>
            </p:column>
            <p:column rendered="#{avaluosRealizadosParam==true}">
                <f:facet name="header">
                    Evaluación <br /> de desempeño	
                </f:facet>

                <p:commandLink id="evaluacionLink"
                               styleClass="commandLinkStyle"
                               value="Evaluación"
                               action="#{managedBeanParam.mostrarEvaluacion}"
                               onstart="statusDialog2.show();"
                               oncomplete="statusDialog2.hide();">
                    <f:setPropertyActionListener value="#{avaluo}"
                                                 target="#{managedBeanParam.avaluoSeleccionado}"/>
                </p:commandLink>
            </p:column>
        </p:dataTable>
    </p:fieldset>
    <p:spacer height="5"/>
</h:form>